<?php

namespace Modules\WarehouseCategory\Interfaces;

use Modules\WarehouseCategory\Models\WarehouseCategory;

interface WarehouseCategoryRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): WarehouseCategory;
    public function update(array $request, WarehouseCategory $warehouseCategory): WarehouseCategory;
    public function destroy(WarehouseCategory $warehouseCategory): void;
    public function destroyAll(array $ids): void;
    public function restore(WarehouseCategory $warehouseCategory): void;
    public function restoreAll(array $ids): void;
}
